using System;

namespace TAKMICENJE_1_2_SUDAR_BROJEVA
{
    class Program
    {
        static void Main(string[] args)
        {
            ulong a = ulong.Parse(Console.ReadLine());
            ulong b = ulong.Parse(Console.ReadLine());
            string aStr = Math.Max(a, b).ToString(), bStr = Math.Min(a, b).ToString(), izlaz = null;
            int i = aStr.Length - 1, j = bStr.Length - 1;
            //Console.WriteLine("astr = {0} bstr = {1}", aStr, bStr);
            if (aStr.Length != bStr.Length)
            {
                while (j >= 0)
                {
                    int x = int.Parse(aStr[i].ToString());
                    int y = int.Parse(bStr[j].ToString());
                    //Console.WriteLine("x = {0} y = {1}", x, y);
                    if (x > y)
                        izlaz += aStr[i];
                    if (x < y)
                        izlaz += bStr[j];
                    if (x == y)
                    {
                        izlaz += aStr[i];
                        izlaz += bStr[j];
                    }
                    i--;
                    j--;
                }
                while (i >= 0)
                    izlaz += aStr[i--];
            }
            else
            {
                while (i >= 0)
                {
                    int x = int.Parse(aStr[i].ToString());
                    int y = int.Parse(bStr[j].ToString());
                    //Console.WriteLine("x = {0} y = {1}", x, y);
                    if (x > y)
                        izlaz += aStr[i];
                    if (x < y)
                        izlaz += bStr[j];
                    if (x == y)
                    {
                        izlaz += aStr[i];
                        izlaz += bStr[j];
                    }
                    i--;
                    j--;
                }
            }

            j = izlaz.Length - 1;
            string izlaz2 = null;
            while (j >= 0)
            {
                izlaz2 += izlaz[j--];
            }
            Console.WriteLine(izlaz2);
            //Console.WriteLine("Prvi broj: {0}", aStr);
            //Console.WriteLine("Drugi broj: {0}", bStr);
        }

    }
}